/*
Theme Name: BH&W
Description: Child theme for Avada
Author: p1xel
Author URI: https://p1xel.net
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

/*
 *      TYPO
 */

:root {
    --app-height: 100vh;
}


html {
    -webkit-font-smoothing: antialiased;
}

b,
strong{
    font-weight: 600 !important;
}


/* bitter-regular - latin */
@font-face {
    font-family: 'Bitter';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/bitter-v32-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('../fonts/bitter-v32-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/bitter-v32-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/bitter-v32-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('../fonts/bitter-v32-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/bitter-v32-latin-regular.svg#Bitter') format('svg'); /* Legacy iOS */
}


/* bitter-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Bitter';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/bitter-v32-latin-700.eot'); /* IE9 Compat Modes */
    src: url('../fonts/bitter-v32-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/bitter-v32-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/bitter-v32-latin-700.woff') format('woff'), /* Modern Browsers */
         url('../fonts/bitter-v32-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/bitter-v32-latin-700.svg#Bitter') format('svg'); /* Legacy iOS */
  }

/* bitter-italic - latin */
@font-face {
    font-family: 'Bitter';
    font-style: italic;
    font-weight: 400;
    src: url('../fonts/bitter-v32-latin-italic.eot'); /* IE9 Compat Modes */
    src: local(''),
            url('../fonts/bitter-v32-latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
            url('../fonts/bitter-v32-latin-italic.woff2') format('woff2'), /* Super Modern Browsers */
            url('../fonts/bitter-v32-latin-italic.woff') format('woff'), /* Modern Browsers */
            url('../fonts/bitter-v32-latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */
            url('../fonts/bitter-v32-latin-italic.svg#Bitter') format('svg'); /* Legacy iOS */
}

.fusion-accordian .toggle-content, 
.floating-body-text p,
.floating-body-text li{
    font-size: clamp(14px,1.45vw,27px) !important;
    letter-spacing: -0.0035em;
    word-spacing: -0.05em; 
    line-height 1.4;
}

.small-floating-body-text p{
    font-size: clamp(12px,1.15vw,20px) !important;
    letter-spacing: -0.0035em;
    word-spacing: -0.05em; 
    line-height 1.4;
}

.floating-footer-text p{
    font-size: clamp(14px,1.45vw,22px) !important;
}

.floating-body-text-spaced{
    letter-spacing: 0.25em !important;
    text-transform: uppercase !important;
}

.floating-headline h1{
    font-size: clamp(36px,4.6vw,72px) !important;
    line-height: 1.2 !important;
}

.floating-zitat h1{
    font-size: clamp(36px,4.4vw,71px) !important;
    line-height: 1.2 !important;
}

.floating-headline h2,
.fusion-toggle-heading{
    font-size: clamp(18px,2.3vw,36px) !important;
    
}

.floating-small-padding .fusion-column-wrapper{
    padding: clamp(26px,2.5vw,44px) !important;
    
}

.floating-large-padding-container,
.floating-large-padding .fusion-column-wrapper{
    padding-left: clamp(26px,7vw,127px) !important;
    padding-right: clamp(26px,7vw,127px) !important;
    padding-top: clamp(26px,3.5vw,63px) !important;
    padding-bottom: clamp(26px,3.5vw,63px) !important;
}
.floating-large-padding-container-lr{
    padding-left: clamp(26px,7vw,127px) !important;
    padding-right: clamp(26px,7vw,127px) !important;
}

.floating-big-button{
    font-size: clamp(14px,1.3vw,2vw) !important;
    padding-left: clamp(14px,2.2vw,2.2vw) !important;
    padding-right: clamp(14px,2.2vw,2.2vw) !important;
    padding-top: clamp(14px,2.4vw,2.4vw) !important;
    padding-bottom: clamp(14px,2.4vw,2.4vw) !important;
}


.custom-nested-column .fusion-column-wrapper{ 
    padding-left: 0px !important;
    padding-right: 0px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}


@media screen and (max-width: 640px){
    .floating-headline h2{
        line-height: 1.5 !important;
    }
}




/*
 *      AVADA COMPONENTS
 */

.off-canvas-close{
    font-family: 'bhw' !important;
}

.off-canvas-close.fa-times:before {
    content: "\e903" !important;
}

.fusion-title.sep-underline {
border-bottom: none !important;
}

.fusion-title.sep-underline:after {
    content: ""; /* This is necessary for the pseudo element to work. */ 
    display: block; /* This will put the pseudo element on its own line. */    
    width: 127px; /* Change this to whatever width you want. */
    padding-top: clamp(42px,4.8vw,85px) !important;
    border-bottom: 3px solid var(--awb-sep-color) !important;
}

.fusion-sticky-container:not(.fusion-sticky-spacer){
    transition: none !important;
}

.awb-off-canvas{
    height: -webkit-fill-available;
    animation-duration:0s !important;
}

.partner-postcard .awb-imageframe-caption-container{
    pointer-events: none;
    display: block;
    position: absolute;
    bottom: 0;
    padding-bottom: 5%;
    padding-top: 40%;
    z-index: 5;
    width: 100%;

}
.partner-postcard .awb-imageframe-caption-container {
    background: -moz-linear-gradient(0deg, rgba(0,0,0,.6) 0%, rgba(250,247,247,0) 50%);
    background: -webkit-linear-gradient(0deg, rgba(0,0,0,.6) 0%, rgba(250,247,247,0) 50%);
    background: linear-gradient(0deg, rgba(0,0,0,.6) 0%, rgba(250,247,247,0) 50%);
    
}

.partner-postcard .awb-imageframe-caption h2,
.partner-postcard .awb-imageframe-caption p{
    font-size: clamp(15px,1.4vw,25px) !important;
}

#publikationen-vortraege-toggle{
    padding-right: 0px !important;
    padding-left: 0px !important;
    background-color: var(--awb-color4) !important;
    border-bottom: 0px !important;
}

#publikationen-vortraege-toggle,
#publikationen-toggle{
    padding-right: 0px !important;
    padding-left: 0px !important;
    background-color: var(--awb-color4) !important;
   
}

.panel-heading{
    padding-top: 3px !important;
    padding-bottom: 3px !important;
}
#publikationen-vortraege-toggle .panel-heading,
#publikationen-toggle .panel-heading{
    padding-left: clamp(26px,2.5vw,44px) !important;
    padding-right: clamp(26px,2.5vw,44px) !important;
    background-color: var(--awb-color1) !important;
}

#publikationen-vortraege-toggle .toggle-content,
#publikationen-toggle .toggle-content{
    padding: clamp(26px,2.5vw,44px) !important;
}

#mobile-toggle i{
    margin-top: -4px !important;
}

#mobile-toggle .bhwicon-chevron-thin-up:before,
#mobile-toggle .bhwicon-chevron-thin-down:before{
    font-size: 20px !important;
}

@media only screen and (max-device-width: 640px){
    .fusion-title.sep-underline:after {
        width: 64px; /* Change this to whatever width you want. */
        border-bottom: 2px solid var(--awb-sep-color);
    }

    #awb-oc-46 .awb-off-canvas{
        min-width: 100vw !important;
    }

    #awb-oc-46 .off-canvas-close{
        margin-right: -12px !important;
        margin-top: 18px !important;
        font-size: 25px !important;
    }

    .awb-menu .awb-menu__main-ul{
        font-size: 27px !important;
    }

    .partner-postcard .awb-imageframe-caption h2,
    .partner-postcard .awb-imageframe-caption p{
        text-shadow: 0px 0px 8px rgba(0,0,0,0.6);
    }

    #content {
        margin-bottom: 0px !important;
    }

    .to-top-right #toTop{
        right: 30px !important;
    }

    .floating-body-text p{
        line-height: 1.6 !important;
    }


}

@media only screen and (max-width: 800px){
    .to-top-right #toTop{
        right: 30px !important;
    }
    .floating-body-text p{
        line-height: 1.6 !important;
    }
}



